<?php

/**
 * Carerix Wordpress Plugin
 *
 * @category template manager
 * @author Bogdan Ivanov
 * @copyright Copyright (c) 2013 Carerix.com (http://www.carerix.com)
 * @link http://www.carerix.com
 * @since Aug 26, 2013 10:05:48 AM
 * @version $Rev$
 */

/**
 * Admin_Settings class
 * Used to ....
 */
class Admin_Conversiontracking extends WP_Page {

    protected $interfacer = null;

	/** @noinspection PhpMissingParentConstructorInspection */
	public function __construct() {
        $this->interfacer = WP_Interfacer::getInstance();
    }

    public function getCapability() {
        return WP_Constants::CAPABILITY_ADMIN;
    }

    public function getMenuSlug() {
        return 'carerix_conversiontracking_page';
    }

    public function getMenuTitle() {
        return 'Conversion tracking';
    }

    public function getPageTitle() {
        return 'Conversion tracking';
    }

    public function page() {
        // $input_data = filter_input_array(INPUT_POST, FILTER_FLAG_STRIP_BACKTICK | FILTER_FLAG_ALLOW_OCTAL);
        $input_data = filter_input_array(INPUT_POST);

        $conversion_general  = Environment_Settings::getFormConversionGeneral();
        $conversion_detail   = Environment_Settings::getFormConversionDetail();
        $conversion_apply    = Environment_Settings::getFormConversionApply();
        $conversion_thankyou = Environment_Settings::getFormConversionThankyou();


        if (isset($input_data['conversion_general'])) {
            $conversion_general = Environment_Settings::strip_php_open_tag($input_data['conversion_general']);
        }

        if (isset($input_data['conversion_detail'])) {
            $conversion_detail = Environment_Settings::strip_php_open_tag($input_data['conversion_detail']);
        }

        if (isset($input_data['conversion_apply'])) {
	        $conversion_apply = Environment_Settings::strip_php_open_tag($input_data['conversion_apply']);
        }

        if (isset($input_data['conversion_thankyou'])) {
            $conversion_thankyou = Environment_Settings::strip_php_open_tag($input_data['conversion_thankyou']);
        }


        if ($input_data != null && wp_verify_nonce($input_data['_carerix_nonce_field'], 'conversiontracking')) {
                Environment_Settings::setFormConversionGeneral($conversion_general);
        }

        if ($input_data != null && wp_verify_nonce($input_data['_carerix_nonce_field'], 'conversiontracking')) {
                Environment_Settings::setFormConversionDetail($conversion_detail);
        }

        if ($input_data != null && wp_verify_nonce($input_data['_carerix_nonce_field'], 'conversiontracking')) {
                Environment_Settings::setFormConversionApply($conversion_apply);
        }

        if ($input_data != null && wp_verify_nonce($input_data['_carerix_nonce_field'], 'conversiontracking')) {
                Environment_Settings::setFormConversionThankyou($conversion_thankyou);
        }


        $data = array(
            'conversion_general' => $conversion_general,
            'conversion_detail' => $conversion_detail,
            'conversion_apply' => $conversion_apply,
            'conversion_thankyou' => $conversion_thankyou,
        );


        $template = new Utils_Template('admin/forms/conversion_tracking'); // wp-content/plugins/CxWordpress/templates/admin/forms/conversion_tracking.php
        $template->with($data)->display();
    }

}
