<?php
$interfacer = WP_Interfacer::getInstance();
$labels = Utils_Labels::get($interfacer->get_default_site_language());

$input_data = filter_input_array(INPUT_POST, FILTER_FLAG_STRIP_BACKTICK | FILTER_FLAG_ALLOW_OCTAL);
if (!$input_data) {
    $input_data = array();
}

?>
<div id="campaign_form">
    <form method="post">
        <?php wp_nonce_field('campaign', $container .'[_carerix_nonce_field]'); ?>
	<div>
		<label for="campaign"><?php echo $labels['general.message.field.campaign']; ?></label>
		
		<select <?php echo $disabled; ?>  id="campaign" name="<?php echo $container .'[campaign]'; ?>">
			<?php 
				foreach($campaigns as $campaign): 
					echo "<option value='{$campaign['value']}' >{$campaign['label']}</option>";
				endforeach; 
			?>
		</select>
		<?php if (@$errors['campaign']): ?>
			<span class="error">
				<?php echo $errors['campaign']; ?>
			</span>
		<?php endif; ?>
	</div>
	<div>
		<label for="salutation"><?php echo $labels['general.message.field.salutation']; ?></label>
		
		<select <?php echo $disabled; ?>  id="salutation" name="<?php echo $container .'[salutation]'; ?>">
			<?php 
				foreach($salutations as $salutation): 
					$selected = '';
					if($input_data['salutation'] == $salutation['value']) $selected = 'selected';
					echo "<option $selected value='{$salutation['value']}' >{$salutation['label']}</option>";
				endforeach; 
			?>
		</select>
	</div>
	
	<div>
		<label for="name"><?php echo $labels['general.message.field.name']; ?></label>
		<input <?php echo $disabled; ?>  type="text" value="<?php echo $input_data['name']; ?>" name="<?php echo $container .'[name]'; ?>" id="name" />
		<?php if (@$errors['name']): ?>
			<span class="error">
				<?php echo $errors['name']; ?>
			</span>
		<?php endif; ?>
	</div>
	
	<div>
		
		<label for="functionLevel0_<?php echo $container; ?>" style="display: block;"><?php echo $labels['general.message.field.functionLevel']; ?></label>
				<div>
					<select <?php echo $disabled; ?> name="<?php echo $container .'[functionLevel0]'; ?>" class="<?php echo $container;?> functionLevel0" id="functionLevel0_<?php echo $container; ?>" style="width: 47%;" onchange="functionLevel0_change(this);">
						<option></option>
						<?php foreach($functionLevels as $functionLevel): ?>
							<option value="<?php echo $functionLevel['id']; ?>"><?php echo $functionLevel['value'];?></option>
						<?php endforeach; ?>
					</select>
				</div>
				<div id="functionLevel1_container_<?php echo $container; ?>" style="display: none;">
					<select name="<?php echo $container .'[functionLevel1]'; ?>" class="<?php echo $container;?> functionLevel1" id="functionLevel1_<?php echo $container; ?>" style="width: 47%;" >
						
					</select>
				</div>
				<?php if (@$errors['functionLevel1']): ?>
					<span class="error">
						<?php echo $errors['functionLevel1']; ?>
					</span>
				<?php endif; ?>
		
	</div>
	
	<div>
		<label for="organization"><?php echo $labels['CxPortal.message.field.companyInformation']; ?></label>
		<input <?php echo $disabled; ?>  type="text" value="" name="<?php echo $container .'[organization]'; ?>" id="organization" />
	</div>
	
	<div>
		<label for="email"><?php echo $labels['CxPortal.message.field.yourEmail']; ?></label>
		<input <?php echo $disabled; ?>  type="text" value="<?php echo $input_data['email']; ?>" name="<?php echo $container .'[email]'; ?>" id="email" />
		<?php if (@$errors['email']): ?>
			<span class="error">
				<?php echo $errors['email']; ?>
			</span>
		<?php endif; ?>
	</div>
	
	<div>
		<label for="phone"><?php echo $labels['general.message.field.phone']; ?></label>
		<input <?php echo $disabled; ?> type="text" value="<?php echo $input_data['phone']; ?>" name="<?php echo $container .'[phone]'; ?>" id="phone" />
	</div>
	
	<div>
		<label for="message"><?php echo $labels['general.message.field.message']; ?></label>
		<textarea <?php echo $disabled; ?>  name="<?php echo $container .'[message]'; ?>" id="message"><?php echo $input_data['message']; ?></textarea>
	</div>
		<div>
			<input <?php echo $disabled; ?> type="submit" value="<?php echo $labels['general.button.subscribe']; ?>" />
		</div>
	</form>
</div>

<script type="text/javascript">
	var jsonFunctions = <?php echo $functionLevelsJson; ?>
	
	function functionLevel0_change(el) {

        var currentClassList = el.classList;
        
        var currentContainer = '';
        
        for(var i = 0; i < currentClassList.length; i++) {
            var currentClass = currentClassList[i];
            
            if(currentClass.indexOf("c_") === 0) {
                currentContainer = currentClass;
                break;
            }
        }

		var children = [];
		for(var i = 0; i < jsonFunctions.length; i++) {
			if(jsonFunctions[i].id == el.value) {
				children = jsonFunctions[i].children;
				break;
			}
		}
		if(children.length > 0) {
			
			document.getElementById('functionLevel1_container_'+currentContainer).style['display'] = 'inline';
			
			var options = '';
			for(var j = 0; j < children.length; j++) {
				options += '<option value="'+children[j]['id']+'">'+children[j]['value']+'</option>';
			}
			document.getElementById('functionLevel1_'+currentContainer).innerHTML = options;
		} else {
			document.getElementById('functionLevel1_container_'+currentContainer).style['display'] = 'none';
		}
	}
</script>